Comstackciones de iOS: esta compilation no es válida en iTunes connect

Hace poco subí una aplicación a la tienda de aplicaciones y se ha estado procesando durante algunos días. Fui esta mañana para ver todo, y en la barra superior de iTunes, hice clic en las versiones de iOS para ver cómo iba todo y obtuve un círculo rojo con un signo de exclamación. Cuando hice clic en él, dice "Esta construcción no es válida". ¿Alguien sabe la causa de esto?

Revisa tu correo electrónico, te dice exactamente qué está mal. En itunes connect simplemente dice "Esta compilation no es válida", que es un poco inútil. Si revisa su correo electrónico, lo más probable es que sea un problema de testflight, ya que incluyó el sdk en su compilation y está integrado en itunes connect ahora:

"TestFlight SDK: TestFlight ya no requiere un SDK para habilitar las testings beta, los informes de fallos y los análisis. Para continuar usando TestFlight, configure Beta Testing en iTunes Connect y elimine las references al SDK de los siguientes ejecutables:"

Yo estaba enfrentando el mismo problema. Lo solucioné con buena suerte después de un par de horas de lucha. Este problema se debió a las cápsulas de cocoa. De hecho, instalé "Alamofire" a través de las versiones de cocoapods "0.38". Actualicé los pods para Alamofire 3.1.2. Esta compilation se cargó correctamente en itunes connect pero se declaró no válida en itunesConnect.

Esta razón fue que Alomofire 3.1.2 requería cocoapods versión 0.39. Pero lo actualicé usando 0.38. Entonces fue el problema.

Solución: la actualización normal de cocoapods mediante el uso de cpmmand $ gem install cocoapods, y luego la actualización de alamofire no solucionaría el problema. Tendrá que: 1. Actualizar cocoapods con $ gem install cocoapods. 2. Elimine las references de pod existentes de su proyecto. 3. Vuelva a instalar los pods usando el command pod install. 4. Hecho

También tuve el mismo problema. Resulta que archiva la compilation con la reference de reference de Reveal. Creo que ese es el problema. En el pase, cometí el mismo error y Xcode muestra información de error detallada durante la carga. Ahora parece que no.

También tuve el mismo problema. Escribo una aplicación con Objective-C y uso ios-charts (es rápido), y necesito admitir iOS7, por lo que es problemático … y cuando subo la aplicación a AppStore me sale el problema. Lo vuelvo a enviar, pero sigue siendo el problema. entonces me desespero para limpiar el proyecto y restablecer la codeiganature, qué … ¡eso funciona! Yo solo hehele … introduce la descripción de la image aquí

Recientemente tuve el mismo problema en iTunes Connect y recibí un correo electrónico de apple con respecto a TestFlight SDK que olvidé eliminar de mi package de proyectos. Dice que "TestFlight ya no requiere un SDK para habilitar las testings beta", entonces, después de eliminar el SDK, limpie el código, vuelva a archivar y cargue. ¡Eso es todo!